Caddy Role
=========

A role to install and manage caddy

## Config
### General

* `caddy_version_check`: Check if installed version != `caddy_version` before initiating binary download (true/false)
* `caddy_version`: The Caddy-Version you want to install
* `caddy_user`: UNIX user used by Caddy (default: caddy)
* `caddy_group`: UNIX group used by Caddy (default: caddy)
* `caddy_home`: Base directory to work (default: /var/lib/caddy)
* `caddy_dl_url`: The URL, the compiled caddy-binary will be downloaded from
* `caddy_dl_url_checksum`: The URL, the checksums will be installed from

### Caddyfile

* `caddy_caddyfile.global.debug`: Enabled the Debug mode and set the log level to DEBUG (true/false)
* `caddy_caddyfile.global.http`: HTTP Port from Caddy (default: 80)
* `caddy_caddyfile.global.https`: HTTPS Port from Caddy (default: 443)
* `caddy_caddyfile.global.acme.issuer`: Set the global ACME Issuer (acme/zerossl)
* `caddy_caddyfile.global.acme.token`: Set the token for the global issuer. Required if issuer is `zerossl`
* `caddy_caddyfile.global.acme.email`: The email-address used while generating https certificates
* `caddy_caddyfile.global.acme.dns.provider`: The Provider used if you want to use dns-challenge. (Example: cloudflare)
* `caddy_caddyfile.global.acme.dns.token`: The Provider-Token used if you want to use dns-challenge
